@echo off
cls
echo.
echo IMPERIUM ROMANUM V 2.0 
echo.
echo This batchfile generates the correct game files for the Human controlled civ.
echo (please read the ReadMe.RTF under Installation for more informations)
echo.

:main
echo.
echo.
echo 1. Install the pedia.txt for the FW version
echo 2. Install the pedia.txt for the MGE version
echo.
echo 1. Scenario setup for the Macedonians, game start
echo 2. Scenario setup for the Macedonians, 323BC
echo 3. Scenario setup for the Macedonians, 215BC
echo.
echo 6. Quit without changes
echo.
echo.
CHOICE /c:123456 Please choose an option

if errorlevel 6 goto done
if errorlevel 5 goto Opt5
if errorlevel 4 goto Opt4
if errorlevel 3 goto Opt3
if errorlevel 2 goto Opt2
if errorlevel 1 goto Opt1

:Opt1
echo.
echo Installing FW pedia...
copy PEDIAFW.ger pedia.txt
goto main

:Opt2
echo.
echo Installing MGE pedia...
copy PEDIAMGE.ger pedia.txt
goto main

:Opt3
echo.
echo Makedonen, scenario start
copy EventsM1.ger events.txt
copy RulesM1.ger rules.txt
copy Units1.bmp units.bmp
goto done

:Opt4
echo.
echo Makedonen, 323BC
copy EventsM2.ger events.txt
copy RulesM2.ger rules.txt
copy Units2.bmp units.bmp
DELEVENT al_b323.SAV
goto done

:Opt5
echo.
echo Makedonen, 215BC
copy EventsM3.ger events.txt
copy RulesM3.ger rules.txt
copy Units4.bmp units.bmp
DELEVENT al_b215.SAV
goto done

:done
echo.
exit
quit